<!DOCTYPE html>
<html>
<head>
  <title>Ajouter une Liste</title>
  <link rel="stylesheet" href="Style/bootstrap.css">
  <link rel="stylesheet" href="Style/seeListStyle.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>




<div class="sidenav">
  <a href="#">About</a>
  <a href="#">Services</a>
  <a href="#">Clients</a>
  <a href="#">Contact</a>
</div>




<div class="main">
  
  <div class="topnav">
  <a href="#home">Se connecter</a>
  </div>
  
  <h2>List details</h2>
  
  <?php 

        $tabTaches[]=new Tache(1, "wesh", "bonjour bonjour", false);
        $tabTaches[]=new Tache(2, "wesh wesh", "au revoir", true);
        $tabTaches[]=new Tache(3, "Bonjour", "au revoir", true);

        $dataView[]=new Liste(12, "test", false, null, $tabTaches);
        

        if (isset($dataView)): 
    ?>
    <form>
        <div class="container">

            <ul class="responsive-table">
                <li class="table-header">
                    <div class="col col-1">List name</div>
                    <div class="col col-4">Private</div>
                    <div class="col col-5">Delete</div>

                </li>
                <li class="table-row">
                    <div class="col col-1"><?php echo ($dataView[0]->getName()) ?></div>

                    <?php 
                    if ($dataView[0]->getCreator()!=null){
                        if ($dataView[0]->getPrivate()){
                        ?>
                            <form method="POST" id="changePrivate" name="changePrivate">
                                <input type="checkbox" id="private" checked class="col col-4"></input>
                                <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/></input>
                            </form>
                        <?php 
                        }
                        else{
                        ?>
                            <input type="checkbox" id="private" class="col col-4"></input>

                        <?php 
                        }
                    }
                        ?>
                        
                    <form method="POST" id="deleteList" name="deleteList" class="col col-5">
                        <input type="submit" value="Delete"/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                    </form>
                </li>
            </ul>

            <ul class="responsive-table">
                <li class="table-header">
                    <div class="col col-1">Task name</div>
                    <div class="col col-2">Task content</div>
                    <div class="col col-3">Completed</div>
                    <div class="col col-4">Modify</div>
                    <div class="col col-5">Delete</div>

                </li>

                <?php 
                    foreach ($dataView[0]->getTaches() as $tache){
                ?> 
                
                <li class="table-row">
                    <div class="col col-1" data-label="Task name"><?php echo ($tache->getName())?></div>
                    <div class="col col-2" data-label="Task content"><?php echo ($tache->getContent())?></div>
                    <?php 
                    if ($tache->getCompleted()){
                    ?>
                    <form method="POST" id="changeCompleted" name="changeCompleted" class="col col-3">
                        <input type="checkbox" id="completed" checked />
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>
                    <?php 
                    }
                    else{
                    ?>
                    <form method="POST" id="changeCompleted" name="changeCompleted" class="col col-3">
                        <input type="checkbox" id="completed" checked />
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>
                    <?php 
                    }
                    
                    ?>
                    <form method="POST" id="modifyTask" name="modifyTask" class="col col-4">
                        <input type="submit"  value="Modify"/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>

                    <form method="POST" id="deleteTask" name="deleteTask" class="col col-5">
                        <input type="submit" value="Delete"/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>
                </li>
                
            
                <?php 
                }
                ?>
                <li class="table-row">
                    <form method="POST" id="addTask" name="addTask" class="col col-6">
                        <input type="submit" value="Add task" />
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                    </form>

                </li>

            </ul>

            
        </div>

        <?php
        endif;
        ?>
    </form>
    </div>
</div>
