<?php 


class MdlTache{

    private $con; 

    public function __construct(Connection $con){ 
        $this->con = $con; 
    }
    

    public function insert(string $name, string $content ,bool $completed, string $idListe): Tache{
        $gate=new TacheGateway($this->con);
        $t=new Tache(0, $name, $content, $completed);
        $gate->insert($t);
        $id=$gate->getLastId();
        $t->setId($id[0]['oldId']);
        return $t;
    }

    public function delete(Tache $tache){
        $gate=new TacheGateway($this->con);
        $gate->delete($tache);
    }

    public function update(Tache $tache, string $name, string $content, bool $completed){
        $gate=new ListeGateway($this->con);
        $tache->setName($name);
        $tache->setContent($content);
        $tache->setCompleted($completed);
        $gate->update($tache);
    }
    
}

?>